﻿.wrCookies {
    position: fixed;
    bottom: 50px;
    right: -440px;
    max-width: 440px;
    width: 100%;
    background: #fff;
    border-radius: 8px;
    padding: 15px 25px 22px;
    transition: right 0.6s ease;
    box-shadow: 0 4px 15px -2px rgba(0, 0, 0, 0.1);
    border: 1px solid #eee;
}

    .wrCookies.show {
        right: 20px;
    }

    .wrCookies header {
        display: flex;
        align-items: center;
        column-gap: 8px;
    }

        .wrCookies header i {
            color: #d13239;
            font-size: 25px;
        }

        .wrCookies header h4 {
            color: #d13239;
            font-weight: 500;
            font-size: 18px;
        }

    .wrCookies .data {
        margin-top: 16px;
    }

        .wrCookies .data p {
            color: #333;
            font-size: 16px;
        }

            .wrCookies .data p a {
                color: #d13239;
                text-decoration: none;
            }

                .wrCookies .data p a:hover {
                    text-decoration: underline;
                }

    .wrCookies .buttonsCk {
        margin-top: 16px;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

        .wrCookies .buttonsCk .btnCookies {
            border: none;
            color: #fff;
            padding: 8px 0;
            border-radius: 4px;
            background: #d13239;
            cursor: pointer;
            width: calc(100% / 2 - 10px);
            transition: all 0.2s ease;
            font-size: 14px;
            text-align: center;
            /*height: 40px;*/
            font-weight: 400 !important;
            border: 2px solid #d13239;
        }

        .wrCookies .buttonsCk #acceptBtn:hover {
            background-color: #d13239;
        }

    .wrCookies #politicaBtn {
        background-color: #fff;
        color: #d13239;
        white-space: nowrap;
        text-decoration: none;
    }

        .wrCookies #politicaBtn:hover {
            background-color: #d13239;
            color: #fff;
        }

.txtPolicy p, .txtPolicy div p, .v-modal-body .txtPolicy p, .v-modal-body .txtPolicy div p {
    float: none !important;
}
/* Estilos para el fondo oscuro */
.cookie-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    z-index: 1053;
    display: none;
    backdrop-filter: blur(2px);
}

    .cookie-backdrop.show {
        display: block;
    }


.wrCookies {
    z-index: 1054;
}

div.menuItem ul li a, div.menuItem ul li a:visited {
    z-index: 1000 !important;
}

/*Modal de Politicas*/

.v-modal-overlay {
    display: none;
    position: fixed;
    z-index: 2000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(3px);
}

.v-modal-content {
    display:flex;
    flex-direction:column;
    background-color: #fff;
    margin: 5vh auto;
    border-radius: 8px;
    width: 90%;
    max-width: 820px;
    height: 90vh;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    animation: vModalDown 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.v-modal-body {
    height: auto;
    overflow-y: auto;
}

.v-modal-header, .v-modal-body, .v-modal-footer {
    padding: 0.5rem 1.5rem;
}

.v-modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f8f9fa;
    border-bottom: 1px solid #eee;
    height: 60px;
    border-radius: 8px 8px 0px 0px;
}

.v-modal-footer {
    display: flex;
    justify-content: end;
    align-items: center;
    border-top: 1px solid #eee;
    height: 60px;
    margin-top:auto;
}

.v-modal-btn-close {
    border: none;
    color: #fff;
    padding: 10px 20px;
    border-radius: 4px;
    background: #d13239;
    cursor: pointer;
    font-size: 14px;
    text-align: center;
    font-weight: 400 !important;
}

.v-modal-close-x {
    font-size: 1.5rem;
    font-weight: bold;
    cursor: pointer;
    color: #666;
}

    .v-modal-close-x:hover {
        color: #000;
    }


@keyframes vModalDown {
    from {
        transform: translateY(-100px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}
